#page {
  border: grey 10px;
  margin: 10px;
  display: grid;
  border-color: grey;
  border-style: solid;

  width: 30%;
  height: 800px;
  grid-template-areas:
    'head head'
    'nav  nav'
    'art  div'
    'foot foot';
  grid-template-columns: 75% 25%;
  grid-template-rows: 15% 10% 65% 10%;
}
#page > article {
  margin: 3px;
  grid-area: art;
  border-style: ridge;
  border-color: blue;
}
article > section {
  margin: 3px;
  grid-area: head;
  border-style: ridge;
  border-color: purple;
}
#page > div {
  margin: 3px;
  grid-area: div;
  border-style: ridge;
  border-color: salmon;
}
#page > header {
  margin: 3px;
  grid-area: head;
  border-style: ridge;
  border-color: green;
}

#page > nav {
  height: 75%;
  grid-area: nav;
  border-color: salmon;
  border-style: ridge;
  margin: 3px;
}

#page > footer {
  margin: 3px;
  border-style: ridge;
  border-color: yellow;
}
footer {
  margin: 3px;
  grid-area: foot;
  border-style: ridge;
  border-color: yellow;
}

Div > aside {
  margin: 3px;
  display: block;
  border-style: ridge;
  border-color: cyan;
  height: 46%;
}
article > header {
  margin: 3px;
  display: block;
  border-style: ridge;
  border-color: green;
}
